[SOLVED] LibreOffice requires a Java runtime environment

Technical issues/questions of an intermediate or advanced nature.
Post Reply
User avatar
amplatfus
Samurai
Samurai
Posts: 108
Joined: 30 Oct 2012, 14:55
Distribution: MATE Porteus-v3.2.2
Location: Romania

[SOLVED] LibreOffice requires a Java runtime environment

Post#1 by amplatfus » 02 Apr 2017, 15:32

Hi,

I have LXDE Porteus with LibreOffice. I need to run Macro but I have this error:

"LibreOffice requires a Java runtime environment (JRE) to perform this task. Please install a JRE and restart LibreOffice."

Please, can I solve this error?

Thank you so much,
amplatfus
Last edited by amplatfus on 02 Apr 2017, 20:46, edited 1 time in total.
Porteus-v3.2.2 MATE
Kernel: 4.9.12-porteus

User avatar
Ed_P
Contributor
Contributor
Posts: 3154
Joined: 06 Feb 2013, 22:12
Distribution: Cinnamon 3.2.2 64-bit ISO
Location: Western NY, USA

Re: LibreOffice requires a Java runtime environment

Post#2 by Ed_P » 02 Apr 2017, 17:47

amplatfus wrote:Please, can I solve this error?
This is the approach I use: https://forum.porteus.org/viewtopic.php?f=75&t=3332

Code: Select all

guest@porteus:~$ ls -lgh /mnt/sda6/porteus3.2/Modules/*jre*
-rwxrwxrwx 1 root 55M Feb 22 09:22 /mnt/sda6/porteus3.2/Modules/jre-8u121-x86_64-1.xzm*
guest@porteus:~$ 
From a script I use with it:

Code: Select all

echo
echo "1. Download the current non-RPM Linux file. "
firefox "http://www.java.com/en/download/linux_manual.jsp" > /dev/null 2>&1 &
echo "   Close Firefox when done. "
echo " "
echo "2. Invoke [Menu > System Tools] Java Builder "
echo " "
echo "3. Point it to the /root/Downloads/jre-*.tar.gz file "
echo "   and run it. It takes a moment to start and several to end. "
echo " "
echo "4. When it ends press Enter to copy the jre-*.xzm file to the "
echo "   $MODULES folder."
read
Ed

User avatar
amplatfus
Samurai
Samurai
Posts: 108
Joined: 30 Oct 2012, 14:55
Distribution: MATE Porteus-v3.2.2
Location: Romania

Re: LibreOffice requires a Java runtime environment

Post#3 by amplatfus » 02 Apr 2017, 18:15

Thank you all for replies.
@Ed_P Could you please share jre-8u121-x86_64-1.xzm? Shoud this working on LXDE?

All the best,
amplatfus
Porteus-v3.2.2 MATE
Kernel: 4.9.12-porteus

User avatar
Blaze
Moderator
Moderator
Posts: 1383
Joined: 28 Dec 2010, 11:31
Distribution: ⟰ Porteus 3.2 Cinnamon x86_64
Location: ☭ Russian Federation, Lipetsk region, Dankov
Contact:

Re: LibreOffice requires a Java runtime environment

Post#4 by Blaze » 02 Apr 2017, 18:41

Linux porteus 4.12.7-porteus #1 SMP PREEMPT Sun Aug 13 17:38:30 x86_64 Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz GenuineIntel GNU/Linux
MS-7A12 » [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] (rev 81) » Vengeance LPX 16GB DDR4 K2 3200MHz C16

User avatar
amplatfus
Samurai
Samurai
Posts: 108
Joined: 30 Oct 2012, 14:55
Distribution: MATE Porteus-v3.2.2
Location: Romania

Re: LibreOffice requires a Java runtime environment

Post#5 by amplatfus » 02 Apr 2017, 20:52

Many thanks. Now with the version you shared it's working.
I changed the subject into [solved].

Thank you again for fast response.
amplatfus
Porteus-v3.2.2 MATE
Kernel: 4.9.12-porteus

User avatar
francois
Contributor
Contributor
Posts: 4937
Joined: 28 Dec 2010, 14:25
Distribution: kde xfce porteus manjaro kubun
Location: Enfin l'été, le changement climatique attendu: le soleil.

Re: [SOLVED] LibreOffice requires a Java runtime environment

Post#6 by francois » 19 Apr 2017, 03:04

@blaze:
Thanks for java.
Voltaire: Le mieux est l'ennemi du bien.

Bogomips
Full of knowledge
Full of knowledge
Posts: 2537
Joined: 25 Jun 2014, 15:21
Distribution: 3.2.2 Cinnamon & KDE5
Location: London

Re: LibreOffice requires a Java runtime environment

Post#7 by Bogomips » 19 Apr 2017, 12:32

Linux porteus 4.4.0-porteus #3 SMP PREEMPT Sat Jan 23 07:01:55 UTC 2016 i686 AMD Sempron(tm) 140 Processor AuthenticAMD GNU/Linux
NVIDIA Corporation C61 [GeForce 6150SE nForce 430] (rev a2) MemTotal: 901760 kB MemFree: 66752 kB

Post Reply